%define        base_name PCLinuxOS LiveUSB Creator
%define        name      PCLinuxOS-liveusb
%define        release   %mkrel 1
%define        version   0.9.14

Name:           %name
Summary:        Create a live OS install on removable media.
Summary(de):    Erstellen einer Live-Installation auf Wechselmedien
Source:         %{name}-%{version}.tar.xz
Version:        %{version}
Release:        %{release}
Group:          System/Base
License:        GPLv2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires:       p7zip
Requires:       pmount
Requires:       bash
Requires:       zenity
Obsoletes:	PCLinuxOS-liveusb-0.9.5

%description
PCLinuxOS Live USB Creator allows you to place not only the first, or 
primary Operating System, on your selected partition, but also to add 
further Operating Systems as space allows. 
You can then choose at boot time which version of PCLinuxOS you would like 
to boot. 
It can of course also be used to put your own remaster of PCLinuxOS on 
a removable drive.
To translate it to your language, please visite 
<http://www.pclinuxos.com/forum/index.php/topic,80781.msg668645.html>

%description -l de
Diese Anwendung automatisiert das Erstellen einer Live-Installation eines 
Betriebssystems auf Wechselmedien, wie einem USB-Stick oder Festplatte. 
Es ist speziell für die Verwendung mit Betriebssystemdateien von PCLinuxOS 
konzipiert.
Es erlaubt Ihnen, nicht nur das erste primäre Betriebssystem auf Ihrer 
ausgewählten Partition zu erstellen, sondern auch noch weitere 
Betriebssysteme hinzufügen, wenn dies die Kapazität erlaubt. Sie können 
dann, beim Booten auswählen, welche Version von PCLinuxOS gestartet werden 
soll.
Natürlich kann es auch dazu verwendet werden, Ihre eigenen Remaster von 
PCLinuxOS auf einem Wechseldatenträger zu speichern.

%prep
%setup -q -n LiveUSB_Creator_%{version}

%build

%install 
rm -rf %buildroot

mkdir -p %{buildroot}/%{_bindir}
install -m 755 lusbc %{buildroot}/%{_bindir}/lusbc
install -m 755 lusbc_0.9.14.sh %{buildroot}/%{_bindir}/lusbc_0.9.14.sh

mkdir -p %{buildroot}/%{_datadir}/live-usb-creator
install -m 755 lusbc_0.9.14.sh %{buildroot}/%{_datadir}/live-usb-creator/lusbc_0.9.14.sh

mkdir -p %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=PCLinuxOS Live USB Creator
Icon=/usr/share/icons/pclosusb.png
Comment=Create a live OS install on removable media.
Comment[de]=Erstellen Sie eine Live-OS Installation auf ein Wechselmedium
Exec=lusbc
Terminal=false
Type=Application
StartupNotify=true
Categories=Settings;DesktopSettings;X-MandrivaLinux-System-Configuration-Other;
X-Desktop-File-Install-Version=0.11
EOF

mkdir -p %{buildroot}%{_datadir}/icons
install -m 644 pclosusb.png %{buildroot}%{_datadir}/icons/pclosusb.png

# i18n - Internationalization - Internationalisierung
mkdir -p %{buildroot}%{_datadir}/locale/{fr,de,gr,sv}/LC_MESSAGES

# French
cd $RPM_BUILD_DIR/LiveUSB_Creator_%{version}/Translations_%{version}/French/
tar -xf lusbc_french_mo_files.tar.xz
install -m 644 -p lusbc.mo lusbc_0.9.7.sh.mo %{buildroot}%{_datadir}/locale/fr/LC_MESSAGES/

# German
cd $RPM_BUILD_DIR/LiveUSB_Creator_%{version}/Translations_%{version}/German/
tar -xf lusbc_german_mo_files.tar.tar.xz
install -m 644 -p lusbc.mo lusbc_0.9.7.sh.mo %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/

# Greek
cd $RPM_BUILD_DIR/LiveUSB_Creator_%{version}/Translations_%{version}/Greek/
tar -xf lusbc_greek_mo_files.tar.gz
install -m 644 -p lusbc.mo lusbc_0.9.7.sh.mo %{buildroot}%{_datadir}/locale/gr/LC_MESSAGES/

# Swedish
cd $RPM_BUILD_DIR/LiveUSB_Creator_%{version}/Translations_%{version}/Swedish/
tar -xf lusbc_Swedish_mo_files.tar.gz
install -m 644 -p lusbc_sv.mo lusbc_0.9.7.sh_sv.mo %{buildroot}%{_datadir}/locale/sv/LC_MESSAGES/

%clean
%__rm -rf %buildroot

%post
%update_menus

%postun
%clean_menus

%files          
%{_bindir}/lusbc
%{_bindir}/lusbc_0.9.14.sh
%{_datadir}/live-usb-creator/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/pclosusb.png
%{_datadir}/locale/*/LC_MESSAGES/lusbc*
%doc README COPYING

%changelog
* Tue Feb 03 2015 bb <bb> 0.9.14-1pclos2015
- update
